# SkyHookService.XPScallback
Date: 2010-11-03

## com.TwentyCodes.android.SkyHook
Class SkyHookService.XPScallback

    java.lang.Object
      com.TwentyCodes.android.SkyHook.SkyHookService.XPScallback

All Implemented Interfaces:
  RegistrationCallback, WPSPeriodicLocationCallback

Enclosing class:
  SkyHookService

    private class SkyHookService.XPScallback

extends Object
implements WPSPeriodicLocationCallback, RegistrationCallback

Constructor Summary
`private` `SkyHookService.XPScallback()`

Method Summary
`void` `done()`
`WPSContinuation` `handleError(WPSReturnCode error)`
`void` `handleSuccess()` (non-Javadoc)
`WPSContinuation` `handleWPSPeriodicLocation(WPSLocation location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyHookService.XPScallback

    private SkyHookService.XPScallback()

Method Detail

### done

    public void done()

### handleError

    public WPSContinuation handleError(WPSReturnCode error)

### handleWPSPeriodicLocation

    public WPSContinuation handleWPSPeriodicLocation(WPSLocation location)

  Specified by:
    `handleWPSPeriodicLocation` in interface `WPSPeriodicLocationCallback`

### handleSuccess

    public void handleSuccess()

  (non-Javadoc)

  Specified by:
    `handleSuccess` in interface `RegistrationCallback`
  See Also:
    `RegistrationCallback.handleSuccess()`